diff --git a/requirements.txt b/requirements.txt
index 5bd5d726..839e0fb9 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -16,6 +16,7 @@
 ##############################################################################
 blinker==1.4
 Flask==1.0.2
+Werkzeug>=0.15.0
 Flask-Gravatar==0.5.0
 Flask-Login==0.4.1
 Flask-Mail==0.9.1
diff --git a/web/pgAdmin4.py b/web/pgAdmin4.py
index 4bcfccc5..845ca52a 100644
--- a/web/pgAdmin4.py
+++ b/web/pgAdmin4.py
@@ -13,7 +13,6 @@ to start a web server."""
 
 import os
 import sys
-from werkzeug.middleware.proxy_fix import ProxyFix
 
 if sys.version_info[0] >= 3:
     import builtins
@@ -71,13 +70,17 @@ if not os.path.isfile(config.SQLITE_PATH):
 class ReverseProxied(object):
     def __init__(self, app):
         # https://werkzeug.palletsprojects.com/en/0.15.x/middleware/proxy_fix/#module-werkzeug.middleware.proxy_fix
-        self.app = ProxyFix(app,
-                            x_for=config.PROXY_X_FOR_COUNT,
-                            x_proto=config.PROXY_X_PROTO_COUNT,
-                            x_host=config.PROXY_X_HOST_COUNT,
-                            x_port=config.PROXY_X_PORT_COUNT,
-                            x_prefix=config.PROXY_X_PREFIX_COUNT
-                            )
+        try:
+            from werkzeug.middleware.proxy_fix import ProxyFix
+            self.app = ProxyFix(app,
+                                x_for=config.PROXY_X_FOR_COUNT,
+                                x_proto=config.PROXY_X_PROTO_COUNT,
+                                x_host=config.PROXY_X_HOST_COUNT,
+                                x_port=config.PROXY_X_PORT_COUNT,
+                                x_prefix=config.PROXY_X_PREFIX_COUNT
+                                )
+        except ImportError:
+            pass
 
     def __call__(self, environ, start_response):
         script_name = environ.get("HTTP_X_SCRIPT_NAME", "")
